Name: x2goclient
Version: 2.99
Release: %mkrel 2
License: GPL
Group: Networking/Remote access
Summary: A qt4 client for the x2go system.
Url: http://www.x2go.org
Source: %{name}_%version-3.tar.gz

#Requires: x2goclient-cli openssh-clients libldap2.4_2 sshfs-fuse
BuildRequires: gcc-c++ libldap-devel libqt4-devel ImageMagick

%description
X2goclient is a graphical qt4 client for the x2go system.
You can use it to connect to running sessions and start new sessions. 

%prep
%setup


%build
qmake x2goclient.pro
%make
%install
install -D x2goclient %buildroot/%_bindir/x2goclient

# ad icons
mkdir -p mkdir -p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
convert -scale 16x16 icons/128x128/x2go.png %{buildroot}/%{_miconsdir}/%{name}.png
convert -scale 32x32 icons/128x128/x2go.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 48x48 icons/128x128/x2go.png %{buildroot}/%{_liconsdir}/%{name}.png
install -Dm 644 icons/128x128/x2go.png %buildroot/%_iconsdir/hicolor/128x128/apps/x2goclient.png

# add menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  <<EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=x2goclient
Comment=x2goclient - %{summary}
Icon=%{name}.png
Exec=%{name}
Terminal=false
StartupNotify=false
Categories=Network;RemoteAccess;
EOF


%files
%_bindir/*
%_iconsdir/hicolor/*/apps/x2goclient.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Feb 08 2009 Oliver Burger <rpm@mandrivauser.de> 2.99-2mud2009.0
- added icons

* Wed Feb 04 2009 Oliver Burger <rpm@mandrivauser.de> 2.99-1mud2009.0
- new version 2.99-3

* Mon Dec 08 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.1-1mud2009.0
- Rebuild for 2009.0

* Fri Jul 18 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.1-3mud2008.1
- Rebuild with lenny-packages

* Wed Jul 16 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.1-2mud2008.1
- Rebuild for Mandrivalinux 2008.1
- Second Try based upon ALT-package

* Mon Jul 14 2008 Oliver Burger <rpm@mandrivauser.de> 2.99-1mud2009.0
- Mikhail Efremov <sem@altlinux.org> 2.0.1-alt2.13
- share folder now works

* Wed Jun 25 2008 Mikhail Efremov <sem@altlinux.org> 2.0.1-alt1.13
- version 2.0.1-13

* Wed Jun 04 2008 Mikhail Efremov <sem@altlinux.org> 2.0.1-alt1
- initial build
